---
lang: en
title: 'API docs: rest-crud.crudrestcontrolleroptions'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/rest-crud
permalink: /doc/en/lb4/apidocs.rest-crud.crudrestcontrolleroptions.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest-crud](./rest-crud.md) &gt; [CrudRestControllerOptions](./rest-crud.crudrestcontrolleroptions.md)

## CrudRestControllerOptions interface

Options to configure different aspects of a CRUD REST Controller.

<b>Signature:</b>

```typescript
export interface CrudRestControllerOptions 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [basePath](./rest-crud.crudrestcontrolleroptions.basepath.md) | string | The base path where to "mount" the controller. |


